## geoclue-2.0 2.5.7

=== meson_options.txt ===
option('libgeoclue',
        type: 'boolean', value: true,
        description: 'Enable convenience library')
option('introspection',
        type: 'boolean', value: true,
        description: 'Enable convenience library introspection generation')
option('gtk-doc',
       type: 'boolean', value: true,
       description: 'Whether to generate the API reference for Geocode-GLib')
option('3g-source',
       type: 'boolean', value: true,
       description: 'Enable 3G source (requires ModemManager')
option('cdma-source',
       type: 'boolean', value: true,
       description: 'Enable CDMA source (requires ModemManager')
option('modem-gps-source',
       type: 'boolean', value: true,
       description: 'Enable modem GPS source (requires ModemManager')
option('nmea-source',
       type: 'boolean', value: true,
       description: 'Enable network NMEA source (requires Avahi libraries)')
option('enable-backend',
       type: 'boolean', value: true,
       description: 'Enable backend (the geoclue service)')
option('demo-agent',
       type: 'boolean', value: true,
       description: 'Build demo agent')
option('dbus-sys-dir',
       type: 'string',
       description: 'where D-BUS system.d directory is')
option('systemd-system-unit-dir',
       type: 'string',
       description: 'Directory for systemd service files')
option('dbus-srv-user',
       type: 'string', value: 'root',
       description: 'The user (existing) as which the service will run')

## geoclue-2.0 2.0.0

=== debian/changelog ===
geoclue-2.0 (2.0.0-4) unstable; urgency=medium

  * [8a5379b3] debian/copyright: Add licence for docs/geoclue-docs.xml
    (Closes: #735281)
  * [6c74e39d] debian/copyright: Deduplicate LGPL2+ license text

 -- Laurent Bigonville <bigon@debian.org>  Thu, 16 Jan 2014 21:45:56 +0100

geoclue-2.0 (2.0.0-3) unstable; urgency=medium

  * [edf6939d] Rename the package to geoclue-2.0
  * [f86c3d95] Move the geoclue daemon to /usr/lib/geoclue-2.0
  * [81975651] Add Breaks/Replaces against geoclue (>= 2.0)
  * [33218e3b] Bump Standards-Version to 3.9.5 (no further changes)
  * [411ab144] Update debian/copyright file

 -- Laurent Bigonville <bigon@debian.org>  Mon, 13 Jan 2014 00:55:35 +0100

geoclue (2.0.0-2) experimental; urgency=low

  [ Andreas Henriksson ]
  * [906ea31c] Add dependency on adduser as it's used by postinst
    (Closes: #726620)

 -- Laurent Bigonville <bigon@debian.org>  Sun, 10 Nov 2013 22:04:25 +0100

geoclue (2.0.0-1) experimental; urgency=low

  [ Andreas Henriksson ]
  * [c554933f] Update debian/watch for new release location
  * [a416d4b8] Use dh-autoreconf
  * [06a59fd0] Update build-dependencies according to configure.ac
    - wrap-and-sort while at it.
  * [dd1414ea] Add intltool build-dependency
  * [c82386d7] Drop debian/patches/
  * [48ba0870] Revamp binary packages for geoclue2
    - only ip based lookup supported for now by upstream
  * [60dfaa42] Drop obsolete configure flags
  * [15678803] Add build-dependency on geoip-database
    - used by geoip-server testsuite
  * [975d22a6] Make test-suite non-fatal
    - GeoLiteCity.dat is required for test-suite to pass
    - "geoip-database" does not include the city database
  * [328d889f] Update debian/geoclue.install for GeoClue2
  * [a39a3d0f] Drop debian/docs
  * [dac9048d] Drop debian/README.source
    - we're using standard 3.0 (quilt) format
  * [98e32cd5] Update debian/copyright for GeoClue2
    - now in machine readable 1.0 format
    - license changed to GPLv2+

  [ Laurent Bigonville ]
  * [b1480045] Imported Upstream version 2.0.0
  * [fcb99b3a] Do not use multi-arch path for the daemon
  * [45d8379b] debian/changelog: Fix D-Bus capitalization
  * [32fb9c09] debian/control: Drop Recommends for geoclue package
  * [dd7a3e09] Disable server side binaries for now
  * [e4186f23] Run the service under the "geoclue" user

 -- Laurent Bigonville <bigon@debian.org>  Tue, 15 Oct 2013 14:58:33 -0400

geoclue (0.12.99-3) unstable; urgency=low

  * [cf5a5bd4] debian/control: Add Multi-Arch: same for libgeoclue0 package
  * [df11e930] debian/control: Use canonical URL for the Vcs-* fields
  * [b6eda579] Always update autotools helper files during build
  * [52761c89] debian/gbp.conf: Set tarball-dir and export-dir

 -- Laurent Bigonville <bigon@debian.org>  Mon, 09 Sep 2013 21:43:46 +0200

geoclue (0.12.99-2) unstable; urgency=low

  * [3d2d3dbf] Adopt the package with Bernd blessing
  * [f2270121] Bump Standards-Version to 3.9.4 (no further changes)
  * [24cec588] Update the debian/watch file.
    Thanks to Bart Martens <bartm@debian.org>
  * [bc11de4e] Recommends geoclue-nominatim instead of geoclue-yahoo

 -- Laurent Bigonville <bigon@debian.org>  Fri, 24 May 2013 00:10:46 +0200

geoclue (0.12.99-1) experimental; urgency=low

  * [feec9810] Switch to experimental branches
  * [187e0e61] Imported Upstream version 0.12.99
  * [754f839d] Adjust the build-dependencies
  * [b9d05053] Bump debhelper compatibility to 9
  * [48a66a0d] Install geoclue GSettings schemas
  * [68c959ca] Drop usage of quilt and autotools-dev
  * [23e47b77] Bump Standards-Version to 3.9.3 (no further changes)
  * [6f068365] Drop all the patches applied upstream

 -- Laurent Bigonville <bigon@debian.org>  Mon, 13 Aug 2012 02:22:03 +0200

geoclue (0.12.0-4) unstable; urgency=low

  [ Laurent Bigonville ]
  * [a5d605f9] Bump Standards-Version to 3.9.2 (no further changes)
  * [e17fbb8f] Add geoclue-nominatim provider

  [ Bernd Zeimetz ]
  * [6d14937a] Remove gpsd support.
    geoclue seems to be dead upstream and the gpsd provider needs a rewrite.

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 03 Dec 2011 12:57:49 +0100

geoclue (0.12.0-3) unstable; urgency=low

  [ Evgeni Golov ]
  * [b29d4e1f] add Provides: geoclue-provider to every provider
    that makes it possible to depend on "any provider the user wants"
  * [c78bdd10] don't fetch priv if it's not used, makes gcc-4.6 silent
    new patch: gcc-4.6-werror.patch (closes: #625340)

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 10 Jul 2011 18:40:59 +0200

geoclue (0.12.0-2) unstable; urgency=low

  [ Bernd Zeimetz ]
  * [2b4a976e] Fix description of localnet provider.
  * [bed74bfa] Don't depend on network-manager-dev on hurd. (Closes: #589556)

  [ Laurent Bigonville ]
  * [73b9d0c0] Do not install .la file anymore (Closes: #586089).
  * [18402b0a] Fix typo in plazes.com URL (Closes: #584460)
  * [38d50a05] Make geoclue master package Recommends some backends
    (Closes: #602833)
  * [e2562e3e] Wrap {build-}dependencies
  * [f26f5c75] Add skyhook geocoding backend
  * [d5e3fb94] Bump Standards-Version to 3.9.1
  * [8f0bdbda] geoclue-manual shouldn't be in doc section
  * [fc1af9da] Switch to dpkg-source 3.0 (quilt) format
  * [2e38ec8c] Use dh_autotools-dev instead of updating
    config.{sub,guess} manually
  * [70fa94bd] Build-dep against libnm-glib-dev on linux-any arch
  * [106e7914] debian/patches/libnm-glib-pc.patch: Fix libnm-glib.pc
    name
  * [732f3e4d] debian/patches/autoreconf.patch: Update configure file
  * [aacbbc7d] debian/rules: Be sure we FTBFS if we miss something
  * [c2553245] Drop debian/clean, not needed anymore
  * [db7e1b26] debian/rules: Be sure we never build with connman support
  * [da40b0c4] Add myself as uploader

 -- Laurent Bigonville <bigon@debian.org>  Thu, 10 Mar 2011 23:53:19 +0100

geoclue (0.12.0-1) unstable; urgency=low

  * [e52a1858] Add ofono-dev as build-dependency.
  * [f3a4f817] Replace gammu by ofono in the description.


=== debian/control ===
Source: geoclue-2.0
Section: utils
Priority: optional
Maintainer: Laurent Bigonville <bigon@debian.org>
Uploaders: Craig Andrews <candrews@integralblue.com>
Build-Depends: autotools-dev,
               debhelper (>= 9),
               dh-autoreconf,
               geoip-database,
               intltool (>= 0.40.0),
               libgeoip-dev,
               libglib2.0-dev (>= 2.34.0),
               libjson-glib-dev (>= 0.14),
               libsoup-gnome2.4-dev,
               pkg-config
Homepage: http://www.freedesktop.org/wiki/Software/GeoClue
Standards-Version: 3.9.5
Vcs-Git: git://anonscm.debian.org/collab-maint/geoclue-2.0.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/geoclue-2.0.git

Package: geoclue-2.0
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, adduser
Breaks: geoclue (>= 2.0)
Replaces: geoclue (>= 2.0)
Description: geoinformation service
 GeoClue is a D-Bus geoinformation service. The goal of the Geoclue project
 is to make creating location-aware applications as simple as possible.
 .
 This package contains the D-Bus system service for GeoClue.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

override_dh_auto_configure:
	dh_auto_configure -- --libdir=/usr/lib \
                             --libexec=/usr/lib/geoclue-2.0 \
                             --with-dbus-service-user=geoclue \
                             --enable-geoip-server=no

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

override_dh_auto_test:
	# testsuite fails on missing latitude (et.al)
	# which is only available when using GeoLiteCity.dat
	# database, which "geoip-database" package in debian
	# does not include.
	dh_auto_test || true

%:
	dh $@ --with autotools-dev,autoreconf

## geoclue-2.0 2.1.8

=== debian/changelog ===
geoclue-2.0 (2.1.8-1) unstable; urgency=medium

  * [be92d2de] Imported Upstream version 2.1.8
  * [cd6b5b05] Rename --disable-wifi-source flag to --disable-network-manager

 -- Laurent Bigonville <bigon@debian.org>  Sun, 04 May 2014 21:14:19 +0200

geoclue-2.0 (2.1.7-1) unstable; urgency=medium

  * [a9fca2b3] Imported Upstream version 2.1.7
  * [fec0846e] Fix the path for the demos again

 -- Laurent Bigonville <bigon@debian.org>  Thu, 03 Apr 2014 22:25:54 +0200

geoclue-2.0 (2.1.5-1) experimental; urgency=medium

  * [5870445e] Imported Upstream version 2.1.5
  * [e3a7f60a] Pass --with-systemdsystemunitdir= to the configure
  * [6bf1384a] debian/rules: debian/geoclue.install: Install all the files
  * [186733a1] Adjust build-dependencies
  * [ebcf9aa7] Explicitly disable ModemManager and NetworkManager features on
               !linux
  * [6c1b663d] Use the debian names for the browsers .desktop files
  * [a4337eed] Move the demos from /usr/share to /usr/lib

 -- Laurent Bigonville <bigon@debian.org>  Sat, 01 Mar 2014 15:01:00 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,10 @@
                libgeoip-dev,
                libglib2.0-dev (>= 2.34.0),
                libjson-glib-dev (>= 0.14),
-               libsoup-gnome2.4-dev,
+               libmm-glib-dev (>= 1.0) [linux-any],
+               libnm-glib-dev (>= 0.9.8.0) [linux-any],
+               libsoup2.4-dev,
+               libxml2-dev (>= 2.7),
                pkg-config
 Homepage: http://www.freedesktop.org/wiki/Software/GeoClue
 Standards-Version: 3.9.5

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

ifneq ($(DEB_BUILD_ARCH_OS),linux)
  MM_NM_FLAGS := --disable-3g-source \
                 --disable-modem-gps-source \
                 --disable-network-manager
endif

override_dh_auto_configure:
	dh_auto_configure -- --libdir=/usr/lib \
                             --libexec=/usr/lib/geoclue-2.0 \
                             --with-dbus-service-user=geoclue \
                             --enable-geoip-server=no \
                             --with-systemdsystemunitdir=/lib/systemd/system \
                             ${MM_NM_FLAGS}

override_dh_auto_test:
	# testsuite fails on missing latitude (et.al)
	# which is only available when using GeoLiteCity.dat
	# database, which "geoip-database" package in debian
	# does not include.
	dh_auto_test || true

override_dh_auto_install:
	dh_auto_install
	rm -f $(CURDIR)/debian/geoclue-2.0/usr/share/applications/geoclue-demo-agent.desktop
	mv $(CURDIR)/debian/geoclue-2.0/usr/lib/geoclue-2.0/geoclue-2.0/demos \
		$(CURDIR)/debian/geoclue-2.0/usr/lib/geoclue-2.0/demos
	rm -rf $(CURDIR)/debian/geoclue-2.0/usr/lib/geoclue-2.0/geoclue-2.0/

%:
	dh $@ --with autotools-dev,autoreconf

## geoclue-2.0 2.1.10

=== debian/changelog ===
geoclue-2.0 (2.1.10-2) unstable; urgency=medium

  * [8d8c2fe3] Add polkit rules and pkla files to allow geoclue to query
               a modem location (Closes: #765184)

 -- Laurent Bigonville <bigon@debian.org>  Sun, 26 Oct 2014 00:18:18 +0200

geoclue-2.0 (2.1.10-1) unstable; urgency=medium

  * [9c3fbdfe] Only recommends modemmanger and wpasupplicant where the pkg
               is built
  * [0915c031] d/p/01-debianize-desktop-name.patch: Readd support for epiphany
  * [fc709078] Imported Upstream version 2.1.10
  * [3e48e5fa] Explicitly disable CMDA source on non linux architectures

 -- Laurent Bigonville <bigon@debian.org>  Tue, 21 Oct 2014 23:38:10 +0200

geoclue-2.0 (2.1.9-1) unstable; urgency=medium

  * [99a40345] debian/rules: Drop --enable-geoip-server=no, removed upstream
  * [fea6d4ca] Imported Upstream version 2.1.9
  * [b9f6f7b4] Adjust build-dependencies
  * [bdb99eb1] Refresh debian/patches/01-debianize-desktop-name.patch
  * [e22479f3] debian/rules: Pass --disable-silent-rules to the configure
  * [53b1af2f] debian/rules: Drop --disable-network-manager flag, removed upstream
  * [089a553b] debian/control: Recommends modemmanager and wpasupplicant
  * [ce8b13d9] debian/control: Bump Standards-Version to 3.9.6 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Mon, 13 Oct 2014 21:04:34 +0200

=== debian/control ===
--- 
+++ 
@@ -12,18 +12,17 @@
                libglib2.0-dev (>= 2.34.0),
                libjson-glib-dev (>= 0.14),
                libmm-glib-dev (>= 1.0) [linux-any],
-               libnm-glib-dev (>= 0.9.8.0) [linux-any],
                libsoup2.4-dev,
-               libxml2-dev (>= 2.7),
                pkg-config
 Homepage: http://www.freedesktop.org/wiki/Software/GeoClue
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/collab-maint/geoclue-2.0.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/geoclue-2.0.git
 
 Package: geoclue-2.0
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, adduser
+Recommends: modemmanager [linux-any], wpasupplicant [!hurd-any]
 Breaks: geoclue (>= 2.0)
 Replaces: geoclue (>= 2.0)
 Description: geoinformation service

=== debian/rules ===
--- 
+++ 
@@ -4,15 +4,15 @@
 ifneq ($(DEB_BUILD_ARCH_OS),linux)
   MM_NM_FLAGS := --disable-3g-source \
                  --disable-modem-gps-source \
-                 --disable-network-manager
+                 --disable-cdma-source
 endif
 
 override_dh_auto_configure:
 	dh_auto_configure -- --libdir=/usr/lib \
                              --libexec=/usr/lib/geoclue-2.0 \
                              --with-dbus-service-user=geoclue \
-                             --enable-geoip-server=no \
                              --with-systemdsystemunitdir=/lib/systemd/system \
+                             --disable-silent-rules \
                              ${MM_NM_FLAGS}
 
 override_dh_auto_test:

## geoclue-2.0 2.4.1

=== debian/changelog ===
geoclue-2.0 (2.4.1-1) unstable; urgency=medium

  * [e6f8dec3] Imported Upstream version 2.4.1

 -- Laurent Bigonville <bigon@debian.org>  Fri, 25 Dec 2015 00:33:09 +0100

geoclue-2.0 (2.4.0-2) unstable; urgency=medium

  * [db9c32f0] debian/control: Fix a typo (interract → interact)
    (Closes: 805744)
  * [ebd72f04] Make the package for the convenience library Multi-arch: same

 -- Laurent Bigonville <bigon@debian.org>  Wed, 25 Nov 2015 18:26:49 +0100

geoclue-2.0 (2.4.0-1) unstable; urgency=medium

  * [5ebae7fa] Imported Upstream version 2.4.0
  * [11903739] Enable the convenience library and the gir support

 -- Laurent Bigonville <bigon@debian.org>  Fri, 20 Nov 2015 00:54:13 +0100

geoclue-2.0 (2.3.0-2) unstable; urgency=medium

  * [5d5632b7] Add iio-sensor-proxy to the Recommends

 -- Laurent Bigonville <bigon@debian.org>  Thu, 24 Sep 2015 13:18:04 +0200

geoclue-2.0 (2.3.0-1) unstable; urgency=medium

  * [3ddfc9c3] Imported Upstream version 2.3.0
  * [c6fb8dbf] Drop libgeoip-dev and geoip-database build-dependencies
  * [dcd9f66b] Drop 03-Only-allow-the-geoclue-user-to-call-methods.patch merged
               upstream
  * [78dbddd3] Add libavahi-{client,glib}-dev to the build-dep per configure
  * [327caf3d] Add avahi-daemon to the Recommends

 -- Laurent Bigonville <bigon@debian.org>  Sat, 19 Sep 2015 12:37:33 +0200

geoclue-2.0 (2.2.0-1) unstable; urgency=medium

  * [128e902f] Imported Upstream version 2.2.0
  * [c1d01fc4] debian/control: Explicitly require libsoup >= 2.42
  * [2871cbe5] Update debian/copyright file
  * [3fbfdc1e] Only allows the geoclue user to call methods from of the Agent's

 -- Laurent Bigonville <bigon@debian.org>  Wed, 26 Aug 2015 22:02:01 +0200

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,15 @@
 Build-Depends: autotools-dev,
                debhelper (>= 9),
                dh-autoreconf,
-               geoip-database,
+               gobject-introspection (>= 0.9.6),
                intltool (>= 0.40.0),
-               libgeoip-dev,
+               libavahi-client-dev (>= 0.6.10),
+               libavahi-glib-dev (>= 0.6.10),
+               libgirepository1.0-dev (>= 0.9.6),
                libglib2.0-dev (>= 2.34.0),
                libjson-glib-dev (>= 0.14),
                libmm-glib-dev (>= 1.0) [linux-any],
-               libsoup2.4-dev,
+               libsoup2.4-dev (>= 2.42),
                pkg-config
 Homepage: http://www.freedesktop.org/wiki/Software/GeoClue
 Standards-Version: 3.9.6
@@ -21,8 +23,11 @@
 
 Package: geoclue-2.0
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, adduser
-Recommends: modemmanager [linux-any], wpasupplicant [!hurd-any]
+Depends: adduser, ${misc:Depends}, ${shlibs:Depends}
+Recommends: avahi-daemon,
+            iio-sensor-proxy [linux-any],
+            modemmanager [linux-any],
+            wpasupplicant [!hurd-any]
 Breaks: geoclue (>= 2.0)
 Replaces: geoclue (>= 2.0)
 Description: geoinformation service
@@ -30,3 +35,39 @@
  is to make creating location-aware applications as simple as possible.
  .
  This package contains the D-Bus system service for GeoClue.
+
+Package: libgeoclue-2-0
+Architecture: any
+Section: libs
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Multi-Arch: same
+Description: convenience library to interact with geoinformation service
+ GeoClue is a D-Bus geoinformation service. The goal of the Geoclue project
+ is to make creating location-aware applications as simple as possible.
+ .
+ This package contains the shared library.
+
+Package: libgeoclue-2-dev
+Architecture: any
+Section: libdevel
+Depends: gir1.2-geoclue-2.0 (= ${binary:Version}),
+         libgeoclue-2-0 (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Multi-Arch: same
+Description: convenience library to interact with geoinformation service (devel files)
+ GeoClue is a D-Bus geoinformation service. The goal of the Geoclue project
+ is to make creating location-aware applications as simple as possible.
+ .
+ This package contains header and development files.
+
+Package: gir1.2-geoclue-2.0
+Section: introspection
+Architecture: any
+Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
+Multi-Arch: same
+Description: convenience library to interact with geoinformation service (introspection)
+ GeoClue is a D-Bus geoinformation service. The goal of the Geoclue project
+ is to make creating location-aware applications as simple as possible.
+ .
+ This package contains the introspection data.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

ifneq ($(DEB_BUILD_ARCH_OS),linux)
  MM_NM_FLAGS := --disable-3g-source \
                 --disable-modem-gps-source \
                 --disable-cdma-source
endif

override_dh_auto_configure:
	dh_auto_configure -- --libexec=/usr/lib/geoclue-2.0 \
                             --with-dbus-service-user=geoclue \
                             --with-systemdsystemunitdir=/lib/systemd/system \
                             --disable-silent-rules \
                             ${MM_NM_FLAGS}

override_dh_auto_test:
	# testsuite fails on missing latitude (et.al)
	# which is only available when using GeoLiteCity.dat
	# database, which "geoip-database" package in debian
	# does not include.
	dh_auto_test || true

override_dh_auto_install:
	dh_auto_install
	mv $(CURDIR)/debian/tmp/usr/lib/geoclue-2.0/geoclue-2.0/demos \
		$(CURDIR)/debian/tmp/usr/lib/geoclue-2.0/demos

%:
	dh $@ --with autotools-dev,autoreconf,gir

override_dh_install:
	dh_install --list-missing

=== debian/watch ===
version=3
http://www.freedesktop.org/software/geoclue/releases/([\d\.]+)/geoclue-([\d\.]+)\.tar\..*

## geoclue-2.0 2.4.3

=== debian/changelog ===
geoclue-2.0 (2.4.3-1) unstable; urgency=medium

  * [056c5e99] Imported Upstream version 2.4.3
  * [d432a95f] Bump Standards-Version to 3.9.8 (no further changes)
  * [67815126] debian/control: Update the Vcs-* URL to please lintian (again)

 -- Laurent Bigonville <bigon@debian.org>  Sat, 23 Apr 2016 12:35:52 +0200

## geoclue-2.0 2.4.5

=== debian/changelog ===
geoclue-2.0 (2.4.5-1) unstable; urgency=medium

  * [c9d350d8] New upstream version 2.4.5
    - Fix frequent segfaults (Closes: #842352)

 -- Laurent Bigonville <bigon@debian.org>  Fri, 27 Jan 2017 21:53:55 +0100

geoclue-2.0 (2.4.4-1) unstable; urgency=medium

  * [f75c7386] New upstream version 2.4.4
  * [33211aef] debian/libgeoclue-2-0.symbols: Add new exported symbols
  * [5ad1c133] debian/libgeoclue-2-0.symbols: Add Build-Depends-Package field
  * [286914d2] debian/rules: Enable all hardening flags

 -- Laurent Bigonville <bigon@debian.org>  Mon, 03 Oct 2016 14:14:39 +0200

=== debian/control ===
--- 
+++ 
@@ -17,9 +17,9 @@
                libsoup2.4-dev (>= 2.42),
                pkg-config
 Homepage: http://www.freedesktop.org/wiki/Software/GeoClue
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/collab-maint/geoclue-2.0.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/geoclue-2.0.git
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/geoclue-2.0.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/geoclue-2.0.git
 
 Package: geoclue-2.0
 Architecture: any

## geoclue-2.0 2.4.7

=== debian/changelog ===
geoclue-2.0 (2.4.7-1ubuntu1) artful; urgency=medium

  * Resynchronize on Debian, remaining change
    debian/control: Make libgeoclue-2-0 depend on geoclue-2.0, since it is a
    wrapper around the DBus service. This probably breaks Multi-Arch
    coinstallability and we should take a different fix from Debian once there
    is one (See #864305). (LP: #1696171)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 20 Jul 2017 13:43:16 +0200

geoclue-2.0 (2.4.7-1) unstable; urgency=medium

  * [065bebb7] New upstream version 2.4.7
  * [d23d922d] Drop d/p/01-debianize-desktop-name.patch, not relevant anymore
  * [bae39d49] debian/control: Bump Standards-Version to 4.0.0 (no further
    changes)
  * [bfafc110] debian/gbp.conf: Rename the sections as requested

 -- Laurent Bigonville <bigon@debian.org>  Fri, 14 Jul 2017 16:56:04 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: geoclue-2.0
 Section: utils
 Priority: optional
-Maintainer: Laurent Bigonville <bigon@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Laurent Bigonville <bigon@debian.org>
 Uploaders: Craig Andrews <candrews@integralblue.com>
 Build-Depends: autotools-dev,
                debhelper (>= 9),
@@ -17,7 +18,7 @@
                libsoup2.4-dev (>= 2.42),
                pkg-config
 Homepage: http://www.freedesktop.org/wiki/Software/GeoClue
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/geoclue-2.0.git
 Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/geoclue-2.0.git
 
@@ -39,7 +40,7 @@
 Package: libgeoclue-2-0
 Architecture: any
 Section: libs
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}, geoclue-2.0 (= ${binary:Version})
 Multi-Arch: same
 Description: convenience library to interact with geoinformation service
  GeoClue is a D-Bus geoinformation service. The goal of the Geoclue project

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,7 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 ifneq ($(DEB_BUILD_ARCH_OS),linux)
   MM_NM_FLAGS := --disable-3g-source \

## geoclue-2.0 2.4.12

=== debian/changelog ===
geoclue-2.0 (2.4.12-2ubuntu1) cosmic; urgency=medium

  * Resynchronize on Debian, remaining change
    debian/control: Make libgeoclue-2-0 depend on geoclue-2.0, since it is a
    wrapper around the DBus service. This probably breaks Multi-Arch
    coinstallability and we should take a different fix from Debian once there
    is one (See #864305). (LP: #1696171)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 29 Aug 2018 10:07:39 +0200

geoclue-2.0 (2.4.12-2) unstable; urgency=medium

  * [41f51d40] Move the demo agent to the main package (Closes: #901594)

 -- Laurent Bigonville <bigon@debian.org>  Thu, 23 Aug 2018 09:26:03 +0200

geoclue-2.0 (2.4.12-1) unstable; urgency=medium

  * [9e431aae] New upstream version 2.4.12
  * [d3f6d85e] Add API and library documentation packages

 -- Laurent Bigonville <bigon@debian.org>  Thu, 16 Aug 2018 17:08:08 +0200

geoclue-2.0 (2.4.11-1) unstable; urgency=medium

  * [7ccde738] Bump debhelper compatibility to 11
  * [30d692b7] debian/control: Update Homepage field
  * [80038652] New upstream version 2.4.11
    - Fix the demo agent, so it's functional for DE not implementing one
      (Closes: #900936)
  * [aca24ff5] debian/control: Bump libglib2.0-dev build-dep to 2.44.0
  * [13ace8c7] debian/control: Bump Standards-Version to 4.2.0 (no further
    changes)

 -- Laurent Bigonville <bigon@debian.org>  Sat, 11 Aug 2018 13:26:52 +0200

geoclue-2.0 (2.4.10-1) unstable; urgency=medium

  * [1302d116] debian/control: Update Vcs-* fields, git repository moved to
    salsa
  * [67aa4d57] debian/control: Bump Standards-Version to 4.1.4 (no further
    changes)
  * [6234883d] debian/rules: Use dh_missing instead of dh_install to list
    "missing" files
  * [302b000a] debian/watch: Use https instead of http
  * [06a6e472] Drop autotools-dev and --with autotools-dev sequence
  * [d50e8ef9] New upstream version 2.4.10
  * [24f3b9d7] debian/control: Bump libmm-glib-dev build-dep to >= 1.6
  * [c68df224] Move the demo programs to -demo package and install the demo
    agent as well

 -- Laurent Bigonville <bigon@debian.org>  Tue, 05 Jun 2018 10:33:49 +0200

=== debian/control ===
--- 
+++ 
@@ -4,23 +4,23 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Laurent Bigonville <bigon@debian.org>
 Uploaders: Craig Andrews <candrews@integralblue.com>
-Build-Depends: autotools-dev,
-               debhelper (>= 9),
-               dh-autoreconf,
+Build-Depends: debhelper (>= 11),
                gobject-introspection (>= 0.9.6),
                intltool (>= 0.40.0),
                libavahi-client-dev (>= 0.6.10),
                libavahi-glib-dev (>= 0.6.10),
                libgirepository1.0-dev (>= 0.9.6),
-               libglib2.0-dev (>= 2.34.0),
+               libglib2.0-dev (>= 2.44.0),
                libjson-glib-dev (>= 0.14),
-               libmm-glib-dev (>= 1.0) [linux-any],
+               libmm-glib-dev (>= 1.6) [linux-any],
+               libnotify-dev,
                libsoup2.4-dev (>= 2.42),
                pkg-config
-Homepage: http://www.freedesktop.org/wiki/Software/GeoClue
-Standards-Version: 4.0.0
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/geoclue-2.0.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/geoclue-2.0.git
+Build-Depends-Indep: gtk-doc-tools <!nodoc>, libglib2.0-doc <!nodoc>
+Homepage: https://gitlab.freedesktop.org/geoclue/geoclue/wikis/home
+Standards-Version: 4.2.0
+Vcs-Git: https://salsa.debian.org/freedesktop-team/geoclue-2.0.git
+Vcs-Browser: https://salsa.debian.org/freedesktop-team/geoclue-2.0
 
 Package: geoclue-2.0
 Architecture: any
@@ -29,13 +29,35 @@
             iio-sensor-proxy [linux-any],
             modemmanager [linux-any],
             wpasupplicant [!hurd-any]
-Breaks: geoclue (>= 2.0)
-Replaces: geoclue (>= 2.0)
+Breaks: geoclue (>= 2.0), geoclue-2-demo (<< 2.4.12-2~)
+Replaces: geoclue (>= 2.0), geoclue-2-demo (<< 2.4.12-2~)
 Description: geoinformation service
  GeoClue is a D-Bus geoinformation service. The goal of the Geoclue project
  is to make creating location-aware applications as simple as possible.
  .
  This package contains the D-Bus system service for GeoClue.
+
+Package: geoclue-2-demo
+Architecture: any
+Depends: geoclue-2.0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Breaks: geoclue-2.0 (<< 2.4.10)
+Replaces: geoclue-2.0 (<< 2.4.10)
+Description: geoinformation service (demonstration programs)
+ GeoClue is a D-Bus geoinformation service. The goal of the Geoclue project
+ is to make creating location-aware applications as simple as possible.
+ .
+ This package contains the demonstration programs.
+
+Package: geoclue-doc
+Architecture: all
+Section: doc
+Depends: ${misc:Depends}
+Build-Profiles: <!nodoc>
+Description: geoinformation service (D-Bus API documentation)
+ GeoClue is a D-Bus geoinformation service. The goal of the Geoclue project
+ is to make creating location-aware applications as simple as possible.
+ .
+ This package contains the D-Bus API documentation.
 
 Package: libgeoclue-2-0
 Architecture: any
@@ -55,6 +77,7 @@
          libgeoclue-2-0 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
+Suggests: libgeoclue-doc
 Multi-Arch: same
 Description: convenience library to interact with geoinformation service (devel files)
  GeoClue is a D-Bus geoinformation service. The goal of the Geoclue project
@@ -72,3 +95,14 @@
  is to make creating location-aware applications as simple as possible.
  .
  This package contains the introspection data.
+
+Package: libgeoclue-doc
+Architecture: all
+Section: doc
+Depends: ${misc:Depends}
+Build-Profiles: <!nodoc>
+Description: convenience library to interact with geoinformation service (API documentation)
+ GeoClue is a D-Bus geoinformation service. The goal of the Geoclue project
+ is to make creating location-aware applications as simple as possible.
+ .
+ This package contains the library API documentation.

=== debian/rules ===
--- 
+++ 
@@ -9,11 +9,17 @@
                  --disable-cdma-source
 endif
 
+ifneq ($(shell which gtkdoc-scan),)
+ifeq ($(filter nodoc, $(DEB_BUILD_OPTIONS)),)
+  BUILD_DOC := --enable-gtk-doc
+endif
+endif
+
 override_dh_auto_configure:
 	dh_auto_configure -- --libexec=/usr/lib/geoclue-2.0 \
                              --with-dbus-service-user=geoclue \
                              --with-systemdsystemunitdir=/lib/systemd/system \
-                             --disable-silent-rules \
+			     ${BUILD_DOC} \
                              ${MM_NM_FLAGS}
 
 override_dh_auto_test:
@@ -29,7 +35,7 @@
 		$(CURDIR)/debian/tmp/usr/lib/geoclue-2.0/demos
 
 %:
-	dh $@ --with autotools-dev,autoreconf,gir
+	dh $@ --with autoreconf,gir
 
-override_dh_install:
-	dh_install --list-missing
+override_dh_missing:
+	dh_missing --list-missing

=== debian/watch ===
version=3
https://www.freedesktop.org/software/geoclue/releases/([\d\.]+)/geoclue-([\d\.]+)\.tar\..*

## geoclue-2.0 2.5.2

=== debian/changelog ===
geoclue-2.0 (2.5.2-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Don't build docs, since they create a FTBFS.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 29 Apr 2019 15:10:04 -0700

geoclue-2.0 (2.5.2-1) unstable; urgency=medium

  * [da1f3cfb] New upstream version 2.5.2
  * [e6718a56] debian/control: Bump glib dependency to 2.44.0
  * [768c8549] debian/control: Bump Standards-Version to 4.3.0 (no further
    changes)
  * [6c170f04] debian/libgeoclue-2-0.symbols: Add newly exported symbols

 -- Laurent Bigonville <bigon@debian.org>  Sat, 12 Jan 2019 14:41:17 +0100

geoclue-2.0 (2.5.1-1) unstable; urgency=high

  * [1fe595bd] debian/control: Make libgeoclue-2-dev depend explicitly against
    libglib2.0-dev
  * [70d0712f] New upstream version 2.5.1
  * [1b962c94] Drop debian/patches/fix-libexecdir.patch, merged upstream
  * [19ba20a3] debian/libgeoclue-2-0.symbols: Readd
    gclue_accuracy_level_get_string(), as it was part of the public API in the
    end, oups. Set the urgency to high so the fix for the API/ABI is going to
    testing faster.

 -- Laurent Bigonville <bigon@debian.org>  Mon, 22 Oct 2018 09:09:32 +0200

geoclue-2.0 (2.5.0-2) unstable; urgency=medium

  * [3a99c10e] debian/rules: Fix FTBFS if gtkdoc-scan is not installed or
    nodoc profile is set
  * [a365e5d4] Install Vala API files
  * [6ee8e720] debian/control: Bump Standards-Version to 4.2.1 (no further
    changes)

 -- Laurent Bigonville <bigon@debian.org>  Wed, 17 Oct 2018 14:40:30 +0200

geoclue-2.0 (2.5.0-1) unstable; urgency=medium

  * [3ad2110f] New upstream version 2.5.0
  * [94136a08] debian/watch: Update URL and point to gitlab.fdo
  * [5960ec67] Update the debian buildsystem now that the upstream one has
    switched to meson (Closes: #829822)
  * [1cf79680] debian/patches/02-move-demo-lib.patch: Refreshed
  * [c1fafc87] debian/libgeoclue-2-0.symbols: Drop
    gclue_accuracy_level_get_string, not part of the public API
  * [36f68d91] d/p/fix-libexecdir.patch: Fix libexecdir in .service files

 -- Laurent Bigonville <bigon@debian.org>  Mon, 15 Oct 2018 20:21:16 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: geoclue-2.0
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Laurent Bigonville <bigon@debian.org>
 Uploaders: Craig Andrews <candrews@integralblue.com>
 Build-Depends: debhelper (>= 11),
@@ -15,10 +15,12 @@
                libmm-glib-dev (>= 1.6) [linux-any],
                libnotify-dev,
                libsoup2.4-dev (>= 2.42),
-               pkg-config
-Build-Depends-Indep: gtk-doc-tools <!nodoc>, libglib2.0-doc <!nodoc>
+               meson (>= 0.47.2),
+               pkg-config,
+               valac
+Build-Depends-Indep: gtk-doc-tools (>=1.28) <!nodoc>, libglib2.0-doc <!nodoc>
 Homepage: https://gitlab.freedesktop.org/geoclue/geoclue/wikis/home
-Standards-Version: 4.2.0
+Standards-Version: 4.3.0
 Vcs-Git: https://salsa.debian.org/freedesktop-team/geoclue-2.0.git
 Vcs-Browser: https://salsa.debian.org/freedesktop-team/geoclue-2.0
 
@@ -48,21 +50,21 @@
  .
  This package contains the demonstration programs.
 
-Package: geoclue-doc
-Architecture: all
-Section: doc
-Depends: ${misc:Depends}
-Build-Profiles: <!nodoc>
-Description: geoinformation service (D-Bus API documentation)
- GeoClue is a D-Bus geoinformation service. The goal of the Geoclue project
- is to make creating location-aware applications as simple as possible.
- .
- This package contains the D-Bus API documentation.
+# Package: geoclue-doc
+# Architecture: all
+# Section: doc
+# Depends: ${misc:Depends}
+#Build-Profiles: <!nodoc>
+#Description: geoinformation service (D-Bus API documentation)
+# GeoClue is a D-Bus geoinformation service. The goal of the Geoclue project
+# is to make creating location-aware applications as simple as possible.
+# .
+# This package contains the D-Bus API documentation.
 
 Package: libgeoclue-2-0
 Architecture: any
 Section: libs
-Depends: ${misc:Depends}, ${shlibs:Depends}, geoclue-2.0 (= ${binary:Version})
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
 Description: convenience library to interact with geoinformation service
  GeoClue is a D-Bus geoinformation service. The goal of the Geoclue project
@@ -75,6 +77,7 @@
 Section: libdevel
 Depends: gir1.2-geoclue-2.0 (= ${binary:Version}),
          libgeoclue-2-0 (= ${binary:Version}),
+         libglib2.0-dev (>= 2.44.0),
          ${misc:Depends},
          ${shlibs:Depends}
 Suggests: libgeoclue-doc
@@ -96,13 +99,13 @@
  .
  This package contains the introspection data.
 
-Package: libgeoclue-doc
-Architecture: all
-Section: doc
-Depends: ${misc:Depends}
-Build-Profiles: <!nodoc>
-Description: convenience library to interact with geoinformation service (API documentation)
- GeoClue is a D-Bus geoinformation service. The goal of the Geoclue project
- is to make creating location-aware applications as simple as possible.
- .
- This package contains the library API documentation.
+#Package: libgeoclue-doc
+#Architecture: all
+#Section: doc
+#Depends: ${misc:Depends}
+#Build-Profiles: <!nodoc>
+#Description: convenience library to interact with geoinformation service (API documentation)
+# GeoClue is a D-Bus geoinformation service. The goal of the Geoclue project
+#is to make creating location-aware applications as simple as possible.
+# .
+# This package contains the library API documentation.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

ifneq ($(DEB_BUILD_ARCH_OS),linux)
  MM_NM_FLAGS := -D3g-source=false \
                 -Dmodem-gps-source=false \
                 -Dcdma-source=false
endif

#ifeq ($(shell which gtkdoc-scan),)
BUILD_DOC := -Dgtk-doc=false
#endif
#ifneq ($(filter nodoc, $(DEB_BUILD_OPTIONS)),)
#  BUILD_DOC := -Dgtk-doc=false
#endif

override_dh_auto_configure:
	dh_auto_configure -- --libexecdir=/usr/lib/geoclue-2.0 \
                             -Ddbus-srv-user=geoclue \
                             -Dsystemd-system-unit-dir=/lib/systemd/system \
			     ${BUILD_DOC} \
                             ${MM_NM_FLAGS}

override_dh_auto_test:
	# testsuite fails on missing latitude (et.al)
	# which is only available when using GeoLiteCity.dat
	# database, which "geoip-database" package in debian
	# does not include.
	dh_auto_test || true

override_dh_auto_install:
	dh_auto_install
	mv $(CURDIR)/debian/tmp/usr/lib/geoclue-2.0/geoclue-2.0/demos \
		$(CURDIR)/debian/tmp/usr/lib/geoclue-2.0/demos

%:
	dh $@ --with autoreconf,gir

override_dh_missing:
	dh_missing --list-missing

## geoclue-2.0 2.5.2.1

=== debian/changelog ===
geoclue-2.0 (2.5.2.1-1) unstable; urgency=medium

  * rm autostart geoclue-demo-agent.

 -- LiChengGang <lichenggang@uniontech.com>  Tue, 28 Dec 2021 17:15:50 +0800

## geoclue-2.0 2.5.3

=== debian/changelog ===
geoclue-2.0 (2.5.3-1ubuntu1) eoan; urgency=medium

  * Resynchronize with Debian. Remaining change:
    - debian/control: Make libgeoclue-2-0 depend on geoclue-2.0, since it is a
      wrapper around the DBus service. This probably breaks Multi-Arch
      coinstallability and we should take a different fix from Debian once
      there is one (See #864305). (LP: #1696171)


 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 13 Aug 2019 13:42:37 +0200

geoclue-2.0 (2.5.3-1) unstable; urgency=medium

  * [48856ed2] New upstream version 2.5.3
  * [1bf75efb] debian/control: Bump Standards-Version to 4.4.0 (no further
    changes)
  * [9e941a46] debian/libgeoclue-2-0.symbols: Add newly exported symbols
  * [158dae34] debian/geoclue-2.0.install: Install new geoclue.5 manpage
  * [f0c2f253] debian/copyright: Use https for the format uri, to please lintian
  * [80a3663a] debian/copyright: Removed unused file paragraph
  * [ed125085] debian/geoclue-2.0.lintian-overrides: Override
    package-supports-alternative-init-but-no-init.d-script. The daemon is
    D-Bus activated, not started at boot

 -- Laurent Bigonville <bigon@debian.org>  Thu, 11 Jul 2019 13:53:11 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: geoclue-2.0
 Section: utils
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Laurent Bigonville <bigon@debian.org>
+Maintainer: Laurent Bigonville <bigon@debian.org>
 Uploaders: Craig Andrews <candrews@integralblue.com>
 Build-Depends: debhelper (>= 11),
                gobject-introspection (>= 0.9.6),
@@ -18,9 +17,9 @@
                meson (>= 0.47.2),
                pkg-config,
                valac
-Build-Depends-Indep: gtk-doc-tools (>=1.28) <!nodoc>, libglib2.0-doc <!nodoc>
+Build-Depends-Indep: gtk-doc-tools <!nodoc>, libglib2.0-doc <!nodoc>
 Homepage: https://gitlab.freedesktop.org/geoclue/geoclue/wikis/home
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Git: https://salsa.debian.org/freedesktop-team/geoclue-2.0.git
 Vcs-Browser: https://salsa.debian.org/freedesktop-team/geoclue-2.0
 
@@ -50,21 +49,21 @@
  .
  This package contains the demonstration programs.
 
-# Package: geoclue-doc
-# Architecture: all
-# Section: doc
-# Depends: ${misc:Depends}
-#Build-Profiles: <!nodoc>
-#Description: geoinformation service (D-Bus API documentation)
-# GeoClue is a D-Bus geoinformation service. The goal of the Geoclue project
-# is to make creating location-aware applications as simple as possible.
-# .
-# This package contains the D-Bus API documentation.
+Package: geoclue-doc
+Architecture: all
+Section: doc
+Depends: ${misc:Depends}
+Build-Profiles: <!nodoc>
+Description: geoinformation service (D-Bus API documentation)
+ GeoClue is a D-Bus geoinformation service. The goal of the Geoclue project
+ is to make creating location-aware applications as simple as possible.
+ .
+ This package contains the D-Bus API documentation.
 
 Package: libgeoclue-2-0
 Architecture: any
 Section: libs
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}, geoclue-2.0 (= ${binary:Version})
 Multi-Arch: same
 Description: convenience library to interact with geoinformation service
  GeoClue is a D-Bus geoinformation service. The goal of the Geoclue project
@@ -99,13 +98,13 @@
  .
  This package contains the introspection data.
 
-#Package: libgeoclue-doc
-#Architecture: all
-#Section: doc
-#Depends: ${misc:Depends}
-#Build-Profiles: <!nodoc>
-#Description: convenience library to interact with geoinformation service (API documentation)
-# GeoClue is a D-Bus geoinformation service. The goal of the Geoclue project
-#is to make creating location-aware applications as simple as possible.
-# .
-# This package contains the library API documentation.
+Package: libgeoclue-doc
+Architecture: all
+Section: doc
+Depends: ${misc:Depends}
+Build-Profiles: <!nodoc>
+Description: convenience library to interact with geoinformation service (API documentation)
+ GeoClue is a D-Bus geoinformation service. The goal of the Geoclue project
+ is to make creating location-aware applications as simple as possible.
+ .
+ This package contains the library API documentation.

## geoclue-2.0 2.5.5

=== debian/changelog ===
geoclue-2.0 (2.5.5-1) unstable; urgency=medium

  * [b4cfe4e7] debian/rules: Install the NEWS file as upstream changelog
  * [3d876ed8] New upstream version 2.5.5
  * [29ba01cf] Set libexecdir to /usr/libexec now that the policy allows it

 -- Laurent Bigonville <bigon@debian.org>  Wed, 02 Oct 2019 13:20:41 +0200

=== debian/control ===
--- 
+++ 
@@ -63,7 +63,7 @@
 Package: libgeoclue-2-0
 Architecture: any
 Section: libs
-Depends: ${misc:Depends}, ${shlibs:Depends}, geoclue-2.0 (= ${binary:Version})
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
 Description: convenience library to interact with geoinformation service
  GeoClue is a D-Bus geoinformation service. The goal of the Geoclue project

## geoclue-2.0 2.5.6

=== debian/changelog ===
geoclue-2.0 (2.5.6-0ubuntu1) focal; urgency=medium

  * New upstream version
  * Resynchronize with Debian. Remaining change:
    - debian/control: Make libgeoclue-2-0 depend on geoclue-2.0, since it is a
      wrapper around the DBus service. This probably breaks Multi-Arch
      coinstallability and we should take a different fix from Debian once
      there is one (See #864305). (LP: #1696171)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 28 Feb 2020 15:03:57 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: geoclue-2.0
 Section: utils
 Priority: optional
-Maintainer: Laurent Bigonville <bigon@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Laurent Bigonville <bigon@debian.org>
 Uploaders: Craig Andrews <candrews@integralblue.com>
 Build-Depends: debhelper (>= 11),
                gobject-introspection (>= 0.9.6),
@@ -63,7 +64,7 @@
 Package: libgeoclue-2-0
 Architecture: any
 Section: libs
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}, geoclue-2.0 (= ${binary:Version})
 Multi-Arch: same
 Description: convenience library to interact with geoinformation service
  GeoClue is a D-Bus geoinformation service. The goal of the Geoclue project

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

ifneq ($(DEB_BUILD_ARCH_OS),linux)
  MM_NM_FLAGS := -D3g-source=false \
                 -Dmodem-gps-source=false \
                 -Dcdma-source=false
endif

ifeq ($(shell which gtkdoc-scan),)
  BUILD_DOC := -Dgtk-doc=false
endif
ifneq ($(filter nodoc, $(DEB_BUILD_OPTIONS)),)
  BUILD_DOC := -Dgtk-doc=false
endif

override_dh_auto_configure:
	dh_auto_configure -- --libexecdir=/usr/libexec \
                             -Ddbus-srv-user=geoclue \
                             -Dsystemd-system-unit-dir=/lib/systemd/system \
			     ${BUILD_DOC} \
                             ${MM_NM_FLAGS}

override_dh_auto_test:
	# testsuite fails on missing latitude (et.al)
	# which is only available when using GeoLiteCity.dat
	# database, which "geoip-database" package in debian
	# does not include.
	dh_auto_test || true

%:
	dh $@ --with autoreconf,gir

override_dh_missing:
	dh_missing --list-missing

override_dh_installchangelogs:
	dh_installchangelogs NEWS
